zn.define(function () {

    var model = zn.db.common.model;

    return zn.Model("zn_plugin_stock_product_batch", {
        mixins: [
            model.Base
        ],
        properties: {
            batch_code: {
                value: null,
                type: ['varchar', 100],
                default: ''
            },
            warehouse_id: {
                value: null,
                type: ['int', 10],
                convert: 'zn_plugin_stock_convert_warehouse({})',
                default: 0
            },
            total_number: {
                value: null,
                type: ['decimal', [10,2]],
                default: 0
            },
            total_amount: {
                value: null,
                type: ['decimal', [10,2]],
                default: 0
            }
        }
    });

})
