zn.define(function () {

    var model = zn.db.common.model;

    return zn.Model("zn_plugin_stock_product_batch_detail", {
        mixins: [
            model.Base
        ],
        properties: {
            batch_code: {
                value: null,
                type: ['varchar', 100],
                default: ''
            },
            batch_id: {
                value: null,
                type: ['int', 10],
                default: 0
            },
            warehouse_id: {
                value: null,
                type: ['int', 10],
                default: 0
            },
            product_model: {
                value: null,
                type: ['varchar', 50],
                convert: 'zn_plugin_stock_convert_product_model({})',
                default: ''
            },
            product_sn: {
                value: null,
                type: ['varchar', 50],
                convert: 'zn_plugin_stock_convert_product_sn({})',
                default: ''
            },
            number: {
                value: null,
                type: ['decimal', [10,2]],
                default: 0
            },
            unused_number: {
                value: null,
                type: ['decimal', [10,2]],
                default: 0
            },
            used_number: {
                value: null,
                type: ['decimal', [10,2]],
                default: 0
            },
            price: {
                value: null,
                type: ['decimal', [10,2]],
                default: 0
            },
            amount: {
                value: null,
                type: ['decimal', [10,2]],
                default: 0
            }
        }
    });

})
