require('./ProductStock.less');
var React = require('react');
var ProductStock = require('../component/ProductStock.js');
module.exports = React.createClass({
	getInitialState: function (){
		return {
			where: null,
			productType: null
		};
	},
	__onSearchKeyUp: function(event){
        var _event = event.nativeEvent;
        if(_event.keyCode==13){
            var _value = _event.target.value;
			this.setState({
				where: _value?{
					'model&like': _value
				}:null
			});
        }
    },
    __onSearchChange: function (event){
        var _event = event.nativeEvent;
        if(!_event.target.value){
			this.setState({
				where: null
			});
        }
    },
	__rightView: function (){
		return <div className="right-view">
			<div className="zn-plugin-stock-searcher">
				<input placeholder="根据型号查询商品" onChange={(event)=>this.__onSearchChange(event)} onKeyUp={(event)=>this.__onSearchKeyUp(event)} className="search-input" type="search" name="search" />
				<i className="fa fa-search" />
			</div>
		</div>;
	},
	__onTypeChange: function (value){
		this.setState({ productType: value.value });
	},
	__centerView: function (){
		return <zn.react.Select onChange={this.__onTypeChange} value={0} ref={(el) => {
		      	if (el) {
		        	el._reactInternalInstance._renderedComponent._hostNode.style.setProperty('background-color', '#FFF', 'important');
		      	}
	    }} placeholder="根据类型查询商品" style={{padding: 5, height: 'auto'}} data={zn.store.post("/zn.plugin.admin/model/select", {
			model: 'zn_plugin_stock_product_type',
			fields: "id as value, zn_title as text",
			where: { zn_tree_pid: 0 }
		})} />;
	},
	__exportStock: function (){
		var _data = {};
		if(this.props.request.search.warehouse){
			_data.warehouseId = this.props.request.search.warehouse;
		}
		if(this.state.productType){
			_data.typeId = this.state.productType;
		}
		zn.react.downloadURL(zn.http.fixURL('/zn.plugin.stock/stock/exportWarehouseStock?' + zn.querystring.stringify(_data)));
	},
	render:function(){
		return (
			<zn.react.Page title={<div><span>商品库存管理</span><span onClick={this.__exportStock} className="zr-tag fa fa-download danger">一键导出库存</span></div>} headerCenter={this.__centerView()} rightView={this.__rightView()} >
				<ProductStock warehouseId={this.props.request.search.warehouse} where={this.state.where} productType={this.state.productType} />
			</zn.react.Page>
		);
	}
});
