zn.define([
    '../service/OrderService.js'
], function (OrderService) {

    return zn.Controller('order',{
        methods: {
            init: function (){
                this.orderService = new OrderService(this._store);
            },
            createInOrder: {
                method: 'GET/POST',
                argv: {
                    id: null
                },
                value: function (request, response, chain){
                    this.beginTransaction()
                        .query('select node schema', function (){
                            return "select * from zn_plugin_workflow_schema where uuid='{0}';".format(request.getValue('id'));
                        }, function (err, rows){
                            if(err){
                                response.error(err);
                            }else {
                                response.success(rows[0]);
                            }
                        }).commit();
                }
            }
        }
    });

});
