zn.define(function () {

    return zn.Class("zn.plugin.stock.model.Order", {
        properties: {
            workflow_id: {
                value: null,
                type: ['int', 11],
                default: 0
            },
            workflow_status: {
                value: null,
                type: ['int', 11],
                default: 0
            },
            order_code: {
                value: null,
                type: ['varchar', 100],
                default: ''
            },
            order_status: {
                value: null,
                type: ['int', 11],
                default: 0
            },
            amount: {
                value: null,
                type: ['decimal', [10, 2]],
                default: 0
            },
            discount: {
                value: null,
                type: ['decimal', [10, 2]],
                default: 0
            },
            discount_amount: {
                value: null,
                type: ['decimal', [10, 2]],
                default: 0
            },
            finished_time: {
                value: null,
                type: ['datetime'],
                default: null
            },
            files: {
                value: null,
                type: ['varchar', 2000],
                default: ','
            }
        }
    });

});
