zn.define(function () {

    var model = zn.db.common.model;

    return zn.Model("zn_plugin_stock_product_stock", {
        mixins: [
            model.Base
        ],
        properties: {
            warehouse_id: {
                value: null,
                type: ['int', 10],
                default: 0
            },
            product_model: {
                value: null,
                type: ['varchar', 50],
                convert: 'zn_plugin_stock_convert_product_model({})',
                default: ''
            },
            product_sn: {
                value: null,
                type: ['varchar', 50],
                convert: 'zn_plugin_stock_convert_product_sn({})',
                default: ''
            },
            count: {
                value: null,
                type: ['decimal', [10, 2]],
                default: 0
            },
            weight: {
                value: null,
                type: ['decimal', [10, 2]],
                default: 0
            }
        }
    });

});
