zn.define(function () {

    var model = zn.db.common.model;

    return zn.Model("zn_plugin_stock_product_stock_log", {
        mixins: [
            model.Base
        ],
        properties: {
            zn_plugin_workflow_instance_id: {
                value: null,
                type: ['int', 10],
                default: 0
            },
            warehouse_id: {
                value: null,
                type: ['int', 10],
                default: 0
            },
            product_model: {
                value: null,
                type: ['varchar', 50],
                convert: 'zn_plugin_stock_convert_product_model({})',
                default: ''
            },
            type: {
                value: null,
                type: ['varchar', 20],
                default: 0
            },
            number: {
                value: null,
                type: ['decimal', [10, 2]],
                default: 0
            },
            inventory: {
                value: null,
                type: ['decimal', [10, 2]],
                default: 0
            },
            comment: {
                value: null,
                type: ['varchar', 500],
                default: ''
            }
        }
    });

});
