zn.define(function () {

    var model = zn.db.common.model;

    return zn.Model("zn_plugin_stock_warehouse", {
        mixins: [
            model.Base,
        ],
        properties: {
            stock_actions: {
                value: null,
                type: ['varchar', 50],
                default: ''
            },
            warehouse_type: {
                value: null,
                type: ['varchar', 50],
                default: 'self'
            },
            province: {
                value: null,
                type: ['varchar', 50],
                default: ''
            },
            city: {
                value: null,
                type: ['varchar', 50],
                default: ''
            },
            address: {
                value: null,
                type: ['varchar', 50],
                default: ''
            },
            admin: {
                value: null,
                type: ['varchar', 50],
                default: ''
            },
            admin_phone: {
                value: null,
                type: ['varchar', 50],
                default: ''
            },
            admin_telephone: {
                value: null,
                type: ['varchar', 50],
                default: ''
            },
            admin_email: {
                value: null,
                type: ['varchar', 50],
                default: ''
            }
        }
    });

})
