"use strict";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

require('./ProductStockLog.less');

var React = require('react');

module.exports = React.createClass({
  displayName: "exports",
  getInitialState: function getInitialState() {
    return {
      data: zn.store.post('/zn.plugin.admin/table/paging', {
        table: 'zn_plugin_stock_product_stock_log',
        where: {
          product_model: this.props.product_model,
          warehouse_id: this.props.warehouse_id
        },
        order: {
          zn_create_time: 'desc'
        }
      }),
      items: [{
        title: '流程ID',
        name: 'zn_plugin_workflow_instance_id',
        width: 120
      }, {
        title: '类型',
        name: 'type',
        width: 160
      }, {
        title: '数量',
        name: 'number',
        width: 100
      }, {
        title: '操作时间',
        name: 'zn_create_time',
        width: 150
      }, {
        title: '说明',
        name: 'comment'
      }]
    };
  },
  __onTableColumnRender: function __onTableColumnRender(rowIndex, columnIndex, data, item, value) {
    if (item.name == 'zn_plugin_workflow_instance_id') {
      if (value) {
        return React.createElement("a", {
          href: zn.react.session.relativeURL('/znpluginworkflow.wfinstance', {
            instanceId: value
          })
        }, React.createElement("i", {
          className: "fa fa-eye"
        }), " \u67E5\u770B\u6D41\u7A0B ", value);
      } else {
        return React.createElement("span", {
          style: {
            fontSize: 10
          }
        }, "\u76F4\u63A5\u64CD\u4F5C,\u65E0\u76F8\u5173\u6D41\u7A0B");
      }
    }

    if (item.name == 'number') {
      if (+value > 0) {
        return React.createElement("span", {
          style: {
            color: 'green'
          }
        }, '+' + value);
      } else {
        return React.createElement("span", {
          style: {
            color: 'red'
          }
        }, value);
      }
    }

    return value;
  },
  render: function render() {
    return React.createElement(zn.react.PagerView, _extends({}, this.props, {
      view: "Table",
      showHeader: true,
      columnRender: this.__onTableColumnRender,
      data: this.state.data,
      dataFixed: true,
      items: this.state.items
    }));
  }
});