"use strict";

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var React = require('react');

var ProductList = require('../component/ProductList.js');

module.exports = React.createClass({
  displayName: "exports",
  getDefaultProps: function getDefaultProps() {
    return {
      model: 'zn_plugin_stock_product_type',
      pid: 0,
      title: '商品类型结构',
      fields: [{
        title: '类型',
        type: 'Input',
        name: 'zn_title'
      }, {
        title: '说明',
        type: 'Textarea',
        name: 'zn_note'
      }]
    };
  },
  getInitialState: function getInitialState() {
    return {
      refresh: false
    };
  },
  __onImportDataComplete: function __onImportDataComplete() {
    zn.notification.success('导入数据成功');
    this.state.refresh = true;
    this.forceUpdate();
  },
  __rightRender: function __rightRender(data) {
    return React.createElement(ProductList, {
      productType: data.value
    });
  },
  __emptyRender: function __emptyRender(data) {
    return React.createElement(ProductList, {
      refresh: this.state.refresh
    });
  },
  __itemContentRender: function __itemContentRender(data, treeColumn, tree) {
    return React.createElement("span", null, data.zn_title);
  },
  render: function render() {
    return React.createElement(zn.plugin.admin.TreeModelView, _extends({}, this.props, {
      toolbarItems: [{
        icon: 'fa-upload',
        text: React.createElement(zn.react.AjaxUploader, {
          action: "/zn.plugin.stock/product/importProductType",
          onComplete: this.__onImportDataComplete,
          hiddens: {
            vars: {
              0: 'zn_title',
              1: 'model',
              2: 'specification',
              3: 'unit',
              4: 'net_weight',
              5: 'gross_weight',
              6: 'package_size',
              7: 'volume',
              8: 'price',
              9: 'min_price',
              10: 'max_price',
              11: 'purchase_price',
              12: 'sale_price',
              13: 'express_price'
            }
          }
        }, "\u5BFC\u5165\u5546\u54C1\u5217\u8868")
      }],
      emptyRender: this.__emptyRender,
      rightRender: this.__rightRender,
      itemContentRender: this.__itemContentRender
    }));
  }
});